Uploaded image for project: 'Contrib: Evaluation System'
  1. Contrib: Evaluation System
  2. EVALSYS-1566

Couldnt build Evaluation 11-SNAPSHOT with SAKAI12.3 version

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: RESOLVED
    • Priority: Major
    • Resolution: Non-Issue
    • Affects Version/s: 11.x
    • Fix Version/s: 12.x
    • Component/s: Eval Setup
    • Labels:
      None
    • Test Plan:
      Hide

      Please add a Test Plan here.

      Show
      Please add a Test Plan here.

      Description

      When i tried to build Evaluation module with Sakai 12.3 getting the following error with maven.

      Please help..

      [@localhost evaluation]$ mvn clean install sakai:deploy -Dmaven.tomcat.home=/usr/local/AT_Dev_Env/A-SAKAI/apache-tomcat-8.0.51 -Dsakai.cleanup=true[INFO] Scanning for projects...
      [ERROR] [ERROR] Some problems were encountered while processing the POMs:
      [ERROR] 'dependencies.dependency.version' for org.sakaiproject:generic-dao:jar must be a valid version but is '${generic-dao.version}'. @ org.sakaiproject:evaluation:11-SNAPSHOT, /usr/local/AT_Dev_Env/A-SAKAI/Sakai12-NEW/sakai-12.3/evaluation/pom.xml, line 223, column 26
      [ERROR] 'dependencies.dependency.version' for javax.mail:mail:jar is missing. @ org.sakaiproject.evaluation:sakai-evaluation-impl:[unknown-version], /usr/local/AT_Dev_Env/A-SAKAI/Sakai12-NEW/sakai-12.3/evaluation/impl/pom.xml, line 296, column 21
      [ERROR] 'dependencies.dependency.version' for uk.org.ponder.sakairsf:sakairsf:jar must be a valid version but is '${sakairsf.version}'. @ org.sakaiproject.evaluation:sakai-evaluation-tool:[unknown-version], /usr/local/AT_Dev_Env/A-SAKAI/Sakai12-NEW/sakai-12.3/evaluation/tool/pom.xml, line 341, column 24
      [ERROR] 'dependencies.dependency.version' for uk.org.ponder.sakairsf:SakaiRSFComponents-evolvers:jar must be a valid version but is '${sakairsf.version}'. @ org.sakaiproject.evaluation:sakai-evaluation-tool:[unknown-version], /usr/local/AT_Dev_Env/A-SAKAI/Sakai12-NEW/sakai-12.3/evaluation/tool/pom.xml, line 347, column 24
      [ERROR] 'dependencies.dependency.version' for uk.org.ponder.sakairsf:SakaiRSFComponents-templates:war must be a valid version but is '${sakairsf.version}'. @ org.sakaiproject.evaluation:sakai-evaluation-tool:[unknown-version], /usr/local/AT_Dev_Env/A-SAKAI/Sakai12-NEW/sakai-12.3/evaluation/tool/pom.xml, line 353, column 24
      [ERROR] 'dependencies.dependency.version' for uk.org.ponder.rsfutil:RSFComponents-templates:war must be a valid version but is '${rsfutil.version}'. @ org.sakaiproject.evaluation:sakai-evaluation-tool:[unknown-version], /usr/local/AT_Dev_Env/A-SAKAI/Sakai12-NEW/sakai-12.3/evaluation/tool/pom.xml, line 359, column 24
       @
      [ERROR] The build could not read 2 projects -> [Help 1]
      [ERROR]   
      [ERROR]   The project org.sakaiproject.evaluation:sakai-evaluation-impl:11-SNAPSHOT (/usr/local/AT_Dev_Env/A-SAKAI/Sakai12-NEW/sakai-12.3/evaluation/impl/pom.xml) has 2 errors
      [ERROR]     'dependencies.dependency.version' for org.sakaiproject:generic-dao:jar must be a valid version but is '${generic-dao.version}'. @ org.sakaiproject:evaluation:11-SNAPSHOT, /usr/local/AT_Dev_Env/A-SAKAI/Sakai12-NEW/sakai-12.3/evaluation/pom.xml, line 223, column 26
      [ERROR]     'dependencies.dependency.version' for javax.mail:mail:jar is missing. @ org.sakaiproject.evaluation:sakai-evaluation-impl:[unknown-version], /usr/local/AT_Dev_Env/A-SAKAI/Sakai12-NEW/sakai-12.3/evaluation/impl/pom.xml, line 296, column 21
      [ERROR]   
      [ERROR]   The project org.sakaiproject.evaluation:sakai-evaluation-tool:11-SNAPSHOT (/usr/local/AT_Dev_Env/A-SAKAI/Sakai12-NEW/sakai-12.3/evaluation/tool/pom.xml) has 4 errors
      [ERROR]     'dependencies.dependency.version' for uk.org.ponder.sakairsf:sakairsf:jar must be a valid version but is '${sakairsf.version}'. @ org.sakaiproject.evaluation:sakai-evaluation-tool:[unknown-version], /usr/local/AT_Dev_Env/A-SAKAI/Sakai12-NEW/sakai-12.3/evaluation/tool/pom.xml, line 341, column 24
      [ERROR]     'dependencies.dependency.version' for uk.org.ponder.sakairsf:SakaiRSFComponents-evolvers:jar must be a valid version but is '${sakairsf.version}'. @ org.sakaiproject.evaluation:sakai-evaluation-tool:[unknown-version], /usr/local/AT_Dev_Env/A-SAKAI/Sakai12-NEW/sakai-12.3/evaluation/tool/pom.xml, line 347, column 24
      [ERROR]     'dependencies.dependency.version' for uk.org.ponder.sakairsf:SakaiRSFComponents-templates:war must be a valid version but is '${sakairsf.version}'. @ org.sakaiproject.evaluation:sakai-evaluation-tool:[unknown-version], /usr/local/AT_Dev_Env/A-SAKAI/Sakai12-NEW/sakai-12.3/evaluation/tool/pom.xml, line 353, column 24
      [ERROR]     'dependencies.dependency.version' for uk.org.ponder.rsfutil:RSFComponents-templates:war must be a valid version but is '${rsfutil.version}'. @ org.sakaiproject.evaluation:sakai-evaluation-tool:[unknown-version], /usr/local/AT_Dev_Env/A-SAKAI/Sakai12-NEW/sakai-12.3/evaluation/tool/pom.xml, line 359, column 24
      [ERROR]
      [ERROR] To see the full stack trace of the errors, re-run Maven with the -e switch.
      [ERROR] Re-run Maven using the -X switch to enable full debug logging.
      [ERROR]
      [ERROR] For more information about the errors and possible solutions, please read the following articles:
      [ERROR] [Help 1] http://cwiki.apache.org/confluence/display/MAVEN/ProjectBuildingException
      [a@localhost evaluation]$

       

       

        Gliffy Diagrams

          Zeplin

            Attachments

              Activity

                People

                Assignee:
                Unassigned Unassigned
                Reporter:
                gpriya GuruPriya
                Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                  Dates

                  Created:
                  Updated:
                  Resolved:

                    Git Integration